# Dependencies
node_modules/

# Production build
dist/
build/

# Environment variables
.env
.env.development
.env.staging
.env.local
.env.development.local
.env.test.local
.env.production.local

# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

# Runtime data
pids
*.pid
*.seed
*.pid.lock

# Diagnostic reports
report.*.json

# Coverage
coverage/
.nyc_output/
*.lcov

# Cache
.cache/
.parcel-cache/
.eslintcache
.npm
.rpt2_cache/
.rts2_cache_cjs/
.rts2_cache_es/
.rts2_cache_umd/

# TypeScript
*.tsbuildinfo

# IDE / Editor
.vscode/
.idea/
*.swp
*.swo

# OS files
.DS_Store
Thumbs.db

# Package manager
.yarn-integrity

# Optional REPL history
.node_repl_history

# Temporary files
*.tmp
*.temp
*.bak

# Next.js
.next/

# Nuxt.js
.nuxt/

# Gatsby
.cache/


# VuePress
.vuepress/dist

# Serverless
.serverless/

# DynamoDB
.dynamodb/

# TernJS
.tern-port

# Bower
bower_components/

# JSPM
jspm_packages/

# Optional test outputs
test-results/
playwright-report/

# Vite
vite.svg